// ## Теоретический вопрос

// 1. Описать своими словами в несколько строчек, зачем в программировании нужны циклы.
//Циклы нужны, что-бы автоматизировать повторения выполнения одинаковых задачь.
// 2. Опишите в каких ситуациях вы бы использовали тот или иной цикл в JS.
// Цикл while нужно использовать, когда мы не знаем сколько раз нужно выполнять определённый участок кода, то есть выполняем пока условие true.
// Цикл do while когда на нужно хотябы один раз выполнить код записанный в 'do', а затем выполянем проверку условия while, если true выполняется участ кода в do.
// Цикл for используем, когда нам известно сколько раз нужно выполнять код в теле цикла.
// 3. Что такое явное и неявное приведение (преобразование) типов данных в JS?

//Явное преобразование - это когда мы сами используем определенные методы для преобразования типов. Например Number() - преобразовывает  в число.
// Неявное преобразование - это когда в выражении JS сам преобразовувает тип данных к единому, что-бы веруть результат выражения.

let numb = +prompt("Enter your number");
while (!Number.isInteger(numb)) {
  numb = +prompt("Enter your number");
}

if (numb < 5) {
  console.log(`Sorry, no numbers`);
} else {
  for (let i = 0; i <= numb; i = i + 5) {
    console.log(i);
  }
}

//----------------------------------------------

let m = +prompt("Enter first number");
let n = +prompt("Enter second number");

while (!m || !n || m >= n) {
  console.log("Error");
  m = +prompt("Enter first number");
  n = +prompt("Enter second number");
}

for (let i = m; i <= n; i++) {
  console.log(i);
}
